<div class="pic unselectable">

    <form class="login">
        <h1>Registrieren</h1>
        <div class="box">
            <input id="firstname" class="input" type="text" name="firstname" placeholder="Vorname" required #firstname>
            <input id="lastname" class="input" type="text" name="lastname" placeholder="Nachname" required #lastname>
            <br><br>
            <input id="email" class="input" type="email" name="email" placeholder="E-Mail" required #email>
            <input id="username" class="input" type="text" name="username" placeholder="Benutzername" required #username>
            <input id="password" class="input" type="password" name="password" placeholder="Passwort" required #password>
            <input id="passwordRepeat" class="input" type="password" name="passwordRepeat" placeholder="Passwort wiederholen" required #passwordRepeat>
            <input id="submit" type="submit" name="submit" value="Registrieren" (click)="register($event)">
        </div>
        <p>Du besitzt bereits einen Account? <a (click)="login()">Anmelden</a></p>
    </form>
    <div id="snackbar" #snackbar>Registrierung fehlgeschlagen!</div>

</div>
